lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'hounds/version'

Gem::Specification.new do |spec|
  spec.name          = 'hounds'
  spec.version       = Hounds::VERSION
  spec.authors       = ['Eduard Thamm']
  spec.email         = ['eduard.thamm@thammit.at']
  spec.license       = 'Apache License 2.0'

  spec.summary       = 'Release Management powered by ruby'
  spec.description   = 'This will become the top level wrapping package to install the complete suite at once.'
  spec.homepage      = 'https://gitlab.com/the-hounds/hounds'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
